Runtime

## org.eclipse.gmf.runtime.emf.type.core
Interface IMetamodelTypeDescriptor

All Superinterfaces:
  IElementTypeDescriptor

    public interface IMetamodelTypeDescriptor

extends IElementTypeDescriptor

Descriptor for a metamodel element type that has been defined in XML using the `elementTypes` extension point.

Method Summary
`org.eclipse.emf.ecore.EClass` `getEClass()` Gets the metaclass that this type represents.
`IEditHelper` `getEditHelper()` Gets the edit helper.

Methods inherited from interface org.eclipse.gmf.runtime.emf.type.core.IElementTypeDescriptor
`getIconURL, getId, getKindName, getName, getParamValue`

Method Detail

### getEClass

    org.eclipse.emf.ecore.EClass getEClass()

  Gets the metaclass that this type represents.

  Returns:
    the metaclass

### getEditHelper

    IEditHelper getEditHelper()

  Gets the edit helper. May activate the plugin in which the edit helper is defined.

  Returns:
    the edit helper.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.